Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.3 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

problème configuration ocsinvetory reports MySQL error: Column count doesn't match value count at row 1 (err:1136)

bonjour, j'ai un serveur linux centos 7.2.1511 avec php 5.6.30 avec glpi 9.1.1

Je n'arrive pas installer/configurer /ocsinventory-reports, quand je vais sur la page web du site, je rentre le compte mysql et la base de donnée et ensuite j'ai ces erreurs :

Please wait, database update may take up to 30 minutes.....................

ERROR: line 131: query:[ INSERT INTO `operators` VALUES ('admin','admin','admin','21232f297a57a5a743894a0e4a801fc3',1,'Default administrator account','sadmin',NULL,NULL)]failed
MySQL error: Column count doesn't match value count at row 1 (err:1136)

......

MySQL config file successfully written (using root account)

Existing database updated

Database engine checking........................

Database engine successfully updated (1 table(s) altered)

ERROR: The installer ended unsuccessfully, rerun install.php once problems are corrected

Que dois-je faire ?

Merci

asked 6 days ago in OCS Inventory NG server for Unix by SebaFR74 (240 points)

5 Answers

0 votes
Bonjour,

Est-ce une nouvelle installation ou une mise à jour d'une ancienne version vers la dernière?

Cordialement

Frank
answered 6 days ago by frankb (48,690 points)
0 votes
Bonjour, c'est une mise a jour, depuis la version 2.0 si je me trompe pas, d'après certain forum, il dise que c'est a cause d'un nombre different de tables.

Par contre le ocs server a l'air de marcher, c'est juste le report qui pose problème.

J'arrive a avoir des pc de ocs depuis glpi.
answered 6 days ago by SebaFR74 (240 points)
0 votes
bonjour, une idée ?
answered 1 day ago by SebaFR74 (240 points)
0 votes
Bonjour,

Pour migrer d'une version 2.0.x vers la dernière version il faut passer par les versions intermédiaires, c'est-à-dire 2.1.x et 2.2.x car ces différentes versions apportent de nouvelles tables et de de nouvelles colonnes pour les tables existantes.

Cordialement

Frank
answered 3 hours ago by frankb (48,690 points)
0 votes
D'accord, mais en utilisant yum c'est faisable ?
answered 3 hours ago by SebaFR74 (240 points)
 
Powered by Question2Answer
...